View Issue Details

IDProjectCategoryView StatusLast Update
0000145LazarusLCLpublic2005-11-28 15:34
ReporterBug ImportAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000145: SpeedButton doesn't display bitmap
DescriptionWhen I load a glyph onto a speedbutton it shows in the design environment but not when the project is running. All that shows is a coloured background. I am using bitmaps taken from a Kylix installation.
Additional InformationImported information
--------------------
Name: Eric Chapman
Mail: eric (at) plainroad.co.uk
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.12
WidgetsetGTK, Win32/Win64
Attached Files

Activities

Bug Import

2003-12-23 09:37

reporter   ~0000125

Use fpImage.
You can compile lazarus -dUseFPImage to get. But you need a current fpc.

MG

Vincent Snijders

2005-07-29 08:24

manager   ~0000871

Is this still a bug in 0.9.8?

Violin Iliev

2005-07-30 14:27

reporter   ~0000876

Not only with speedbutton. This bug is for all componets that use images. Image doesn't show the picture too. And when you relaod the rpoject the pictures turns into black. The same with the speedbutton in Help->About of the IDE.
I am using version 0.9.8

Mattias Gaertner

2005-09-10 05:26

manager   ~0001095

It works under gtk.
It sounds like a bug, fixed one month ago.

If the bug still exists, please tell your OS and attach a small example bitmap.

Mattias Gaertner

2005-09-17 14:03

manager   ~0001113

Closed after one week without response.

Issue History

Date Modified Username Field Change
2003-11-06 00:00 Bug Import New Issue
2003-11-06 00:00 Bug Import Widgetset => GTK, Win32
2003-12-23 09:37 Bug Import Note Added: 0000125
2003-12-23 09:37 Bug Import Resolution open => suspended
2005-04-09 13:32 Micha Nelissen Status new => assigned
2005-04-09 13:32 Micha Nelissen Assigned To => AndrewH
2005-07-29 08:24 Vincent Snijders Target => 0.9.10
2005-07-29 08:24 Vincent Snijders Note Added: 0000871
2005-07-29 08:24 Vincent Snijders Status assigned => feedback
2005-07-29 08:24 Vincent Snijders Category => LCL
2005-07-29 08:24 Vincent Snijders Additional Information Updated
2005-07-30 14:27 Violin Iliev Note Added: 0000876
2005-09-09 09:09 Vincent Snijders Status feedback => assigned
2005-09-09 09:09 Vincent Snijders Assigned To AndrewH => Mattias Gaertner
2005-09-09 09:09 Vincent Snijders Target 0.9.10 => 0.9.12
2005-09-10 05:26 Mattias Gaertner Note Added: 0001095
2005-09-10 05:26 Mattias Gaertner Status assigned => feedback
2005-09-10 05:26 Mattias Gaertner Resolution suspended => open
2005-09-17 14:03 Mattias Gaertner Note Added: 0001113
2005-09-17 14:03 Mattias Gaertner Status feedback => resolved
2005-09-17 14:03 Mattias Gaertner Resolution open => fixed
2005-11-28 15:34 Marc Weustink Status resolved => closed